import request from '@/utils/request'

// 查询地房申请-申请人列表
export function listProposer(query) {
  return request({
    url: '/house/proposer/list',
    method: 'get',
    params: query
  })
}

// 查询地房申请-申请人列表
export function queryAdmin(query) {
  return request({
    url: '/house/proposer/queryAdmin',
    method: 'get',
    params: query
  })
}


// 查询地房申请-申请人详细
export function getProposer(id) {
  return request({
    url: '/house/proposer/get/' + id,
    method: 'get'
  })
}

// 新增地房申请-申请人
export function addProposer(data) {
  return request({
    url: '/house/custom/saveHouseBaseInfo',
    method: 'post',
    data: data
  })
}

// 修改地房申请-申请人
export function updateProposer(data) {
  return request({
    url: '/house/proposer/edit',
    method: 'post',
    data: data
  })
}

// 删除地房申请-申请人
export function delProposer(id) {
  return request({
    url: '/house/proposer/remove/' + id,
    method: 'get'
  })
}

// 导出地房申请-申请人
export function exportProposer(query) {
  return request({
    url: '/house/proposer/export',
    method: 'get',
    params: query
  })
}

// 导出地房申请-申请人
export function exportAdmin(query) {
  return request({
    url: '/house/proposer/exportAdmin',
    method: 'get',
    params: query
  })
}

// 查询地房申请-申请人详细
export function selectProposer(id, data) {
  return request({
    url: '/house/allinformation/' + id,
    method: 'get',
    params: data
  })
}


// 查询地房申请-申请人详细
export function selectAllLicense(id) {
  return request({
    url: '/house/allinformation/license/' + id,
    method: 'get'
  })
}


//申请单人操作
export function customSubmit(id) {
  return request({
    url: '/house/custom/submit/' + id,
    method: 'post'
  })
}

//模糊查询申请人
export function getHouseMembers(query) {
  return request({
    url: '/house/custom/getHouseMembers',
    method: 'get',
    params: query
  })
}

//检查是否重复建房
export function checkDuplicateBuilding(query) {
  return request({
    url: '/house/custom/checkDuplicateBuilding',
    method: 'get',
    params: query
  })
}

//查询宅地信息
export function checkDuplicateBuildingQuery(query) {
  return request({
    url: '/house/custom/checkDuplicateBuildingQuery',
    method: 'get',
    params: query
  })
}

//乌兰浩特申请单人操作
export function customSubmitWLHT(id) {
  return request({
    url: '/house/custom/submitWLHT/' + id,
    method: 'post'
  })
}

// 查询地房申请-申请人详细
export function selectProposerWLHT(id, data) {
  return request({
    url: '/house/allinformation/getAllInformation/' + id,
    method: 'get',
    params: data
  })
}

